# Posts: revert

**Requires [authorization](https://developers.google.com/blogger/docs/3.0/reference/posts/revert#auth)**

Revert a published or scheduled post to draft state, which removes the post from the publicly viewable content.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/posts/revert#try-it).

## Request

### HTTP request

```
POST https://www.googleapis.com/blogger/v3/blogs/blogId/posts/postId/revert
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The ID of the Blog. |
| `postId` | `string` | The ID of the Post. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/blogger/docs/3.0/using#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/blogger` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Posts resource](https://developers.google.com/blogger/docs/3.0/reference/posts#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.